DBInfo (Hyperic HQ Plugin API)
Keywords: org.hyperic.tools.db.DBInfo class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.tools.db
Class DBInfo

    java.lang.Object
      org.hyperic.tools.db.DBInfo

    public class DBInfo

extends java.lang.Object

DBInfo is a tool for printing information about a given JDBC driver and database DBInfo can be run from the command line using the command: java org.hyperic.tools.db.DBPing The DBInfo class and your JDBC driver should be in your classpath. DBInfo can also be called directly from another class. To do this instantiate the DBInfo class and then call the DBPing.printInfo() method.

Constructor Summary
`DBInfo()`

Method Summary
`static void` | `main(java.lang.String[] args)`
`void` | `printInfo(java.lang.String driver, java.lang.String database)` Loads the specified JDBC driver and prints informatation about the database.
`void` | `printInfo(java.lang.String driver, java.lang.String database, java.lang.String username, java.lang.String password)` Loads the specified JDBC driver and prints information about the database database.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBInfo

    public DBInfo()

Method Detail

### main

    public static void main(java.lang.String[] args)

### printInfo

    public void printInfo(java.lang.String driver,
                          java.lang.String database)
                   throws java.lang.ClassNotFoundException,
                          java.sql.SQLException

  Loads the specified JDBC driver and prints informatation about the database.

  Parameters:
    `driver` - The Java class name of the JDBC driver (e.g., "COM.cloudscape.core.JDBCDriver").
    `database` - The JDBC driver connect string (e.g., "jdbc:cloudscape:test")
  Throws:
    `java.lang.ClassNotFoundException`
    `java.sql.SQLException`

### printInfo

    public void printInfo(java.lang.String driver,
                          java.lang.String database,
                          java.lang.String username,
                          java.lang.String password)
                   throws java.lang.ClassNotFoundException,
                          java.sql.SQLException

  Loads the specified JDBC driver and prints information about the database database.

  Parameters:
    `driver` - The Java class name of the JDBC driver (e.g., "COM.cloudscape.core.JDBCDriver").
    `database` - The JDBC driver connect string (e.g., "jdbc:cloudscape:test")
    `username` - The username to use when connecting to the database. This value can be null.
    `password` - The password to use when connecting to the database. This value can be null.
  Throws:
    `java.lang.ClassNotFoundException`
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.